Closed Bug 1197474 Opened 4 years ago Closed 2 years ago

Smiley keyboard disrupts word suggestion (B2G 2.1)

Categories

(Firefox OS Graveyard :: Gaia::Keyboard, defect)

ARM
Gonk (Firefox OS)
defect
Not set

Tracking

(b2g-v2.1 wontfix, b2g-v2.2 affected, b2g-master affected)

RESOLVED WONTFIX
Tracking Status
b2g-v2.1 --- wontfix
b2g-v2.2 --- affected
b2g-master --- affected

People

(Reporter: u547545, Unassigned)

Details

(Whiteboard: [mozfr-community])

Attachments

(1 file)

Attached image Result (step 8)
User Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:40.0) Gecko/20100101 Firefox/40.0
Build ID: 20150819100600

Steps to reproduce:

1) Enable "word suggestion" on his phone,
2) Install "Smiley Keyboard" or "Emoji Keyboard"
3) Open the application "Messages"
4) Write "Tedt". The phone suggests "Test". Click "Test"
5) The word "Tedt" is replaced by "Test".
---
6) Now go to the keyboard Emoji Keyboard or Keyboard Smiley and insert a smiley,
7) Write again "Tedt". The phone suggests "Test". Click "Test"
8) The word "Tedt" is not corrected, it is highlighted in part.


Actual results:

The word "Tedt" is not replaced by the word "Test".
The letters "edt" are highlighted.


Expected results:

Pressing the word suggestion "Test", the word "Tedt" should be replaced by the word "Test".
Summary: Smiley keyboard disrupts word suggestion → Smiley keyboard disrupts word suggestion (B2G 2.1)
(In reply to BiiO from comment #0)
> Created attachment 8651361 [details]
> Result (step 8)
> 
> User Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:40.0) Gecko/20100101
> Firefox/40.0
> Build ID: 20150819100600
 
> Steps to reproduce:

(OS version: 2.1.1.0-prerelease. Git commit info: 2015-05-21 14:40:33 0d343f49)

> 1) Enable "word suggestion" on his phone,
> 2) Install "Smiley Keyboard" or "Emoji Keyboard"
> 3) Open the application "Messages"
> 4) Write "Tedt". The phone suggests "Test". Click "Test"
> 5) The word "Tedt" is replaced by "Test".
> ---
> 6) Now go to the keyboard Emoji Keyboard or Keyboard Smiley and insert a
> smiley,
> 7) Write again "Tedt". The phone suggests "Test". Click "Test"
> 8) The word "Tedt" is not corrected, it is highlighted in part.
> 
> 
> Actual results:
> 
> The word "Tedt" is not replaced by the word "Test".
> The letters "edt" are highlighted.
> 
> 
> Expected results:
> 
> Pressing the word suggestion "Test", the word "Tedt" should be replaced by
> the word "Test".
On B2G 2.5 

Steps to reproduce:

1) Enable "word suggestion" on his phone,
2) Install "Smiley Keyboard" or "Emoji Keyboard"
3) Open the application "Messages"
4) Write "Tedt". The phone suggests "Test". Click "Test"
5) The word "Tedt" is replaced by "Test".
---
6) Now go to the keyboard Emoji Keyboard or Keyboard Smiley and insert an Emoji (the UTF8 character, not the ASCII mix),
7) Write again "Tedt". The phone suggests "Test".
***** MODIFICATION HERE *****
8) Change keyboard to Smiley or Emoji keyboard
9) Change again to normal keyboard
****** END OF MODIFICATION *****
10) The phone suggests "Test". Click "Test"
11) The word "Tedt" is not corrected, it is highlighted in part.

Actual results:

The word "Tedt" is not replaced by the word "Test".
The letters "edt" are highlighted.
I've been able to reproduce on Aries with 2.5 following STR provided in Comment #2.
As specified, make sure to text with UTF8 characters (Yellow smileys) and not with ASCII smileys (\o/, O_o, etc.)

Tried with French keyboard with Word suggestion enabled and autocorrect disabled.

At this point of the schedule, 2.1 would be a WONTFIX. master is affected, adding qawanted to check on 2.2.

Issue reproduced with:

Build ID               20150812231434
Gaia Revision          52f3ea58df38e5427f6afeb636bc6ad01d24022f
Gaia Date              2015-08-12 16:40:43
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/7649ffe28b67aa2dad0f67ea01500c0ff91b2bac
Gecko Version          43.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150619.224059
Firmware Date          Fri Jun 19 22:41:08 UTC 2015
Bootloader             s1
Status: UNCONFIRMED → NEW
status-b2g-v2.2: --- → ?
Ever confirmed: true
Keywords: qawanted
This issue DOES reproduce on the latest Flame 2.2 build using the expanded STR provided in Comment #2.
The word "Tedt" is not replaced by the word "Test".
The letters "edt" are highlighted.

Environmental Variables:
Device: Flame 2.2
BuildID: 20150825032504
Gaia: 335cd8e79c20f8d8e93a6efc9b97cc0ec17b5a46
Gecko: 1effc4cb6414
Gonk: bd9cb3af2a0354577a6903917bc826489050b40d
Version: 37.0 (2.2) 
Firmware Version: v18D
User Agent: Mozilla/5.0 (Mobile; rv:37.0) Gecko/37.0 Firefox/37.0
QA Whiteboard: [QAnalyst-Triage?]
Flags: needinfo?(jmercado)
Keywords: qawanted
QA Whiteboard: [QAnalyst-Triage?] → [QAnalyst-Triage+]
Flags: needinfo?(jmercado)
This problem is not encountered on ZTE Open C (FR) with B2G 2.5 prerelease.

Steps to reproduce: 
1) Enable "word suggestion" on his phone, 
2) Install "Smiley Keyboard" or "Emoji Keyboard",
3) Open the application "Messages",
4) Write "Tedt". The phone suggests "Test". Click "Test",
5) The word "Tedt" is replaced by "Test". --- 
6) Now go to the keyboard Emoji Keyboard or Keyboard Smiley and insert a smiley, 
7) Write again "Tedt". The phone suggests "Test". Click "Test",
8) The word "Tedt" is replaced by "Test".

OS Version: 2.5.0.0-prerelease
Build Number: eng..20140806.064432
Platform Version: 44.0a1
Build Identifier: 20151009001241
Git Commit Info: 2015-10-08 22:09:43 (fd8ab406)
Whiteboard: [mozfr-community]
Firefox OS is not being worked on
Status: NEW → RESOLVED
Closed: 2 years ago
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.